StableOps
API 參考

建立 Webhook 端點

建立 StableOps Webhook 接收端點,設定回呼地址與事件訂閱,並立即安全儲存僅在建立回應中展示的簽名金鑰。接收端應使用原始請求體驗籤,以事件標識去重,並在可靠儲存任務後應答成功。投遞可能重複、併發或亂序,重放與設定調整均需配合業務狀態核對。

POST/v1/webhook-endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "id": "string",
  "url": "http://example.com",
  "description": "string",
  "enabled_events": [
    "payment_order.created"
  ],
  "redact_metadata": true,
  "disabled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "secret": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新